#!/bin/bash

source $(dirname $0)/common.sh

# set classpath
CLASSPATH="$COMMON_CLASSPATH:$OUTSYSTEMS_HOME/outsystems.activation.jar:$OUTSYSTEMS_HOME/outsystems.hubedition.compiler.jar:$JAVA_HOME/lib/tools.jar:$OUTSYSTEMS_HOME/compilerservice.jar:$OUTSYSTEMS_HOME/deployservicestubs.jar"

if [ "${JAVA_VENDOR}" = "jrockit" ]; then
	JAVA_OPTS="-Xmx1536m -Xss2m"
else
	JAVA_OPTS="-Xmx1536m -XX:PermSize=64m -XX:MaxPermSize=256m -XX:MaxNewSize=512m -XX:+UseParNewGC -XX:MaxGCPauseMillis=1000"
fi

CUSTOM_SH="/etc/outsystems/os.controller.service.conf"
runService "CONTROLLER"
