#!/bin/bash

source `dirname $0`/common.sh

# set classpath
export CLASSPATH="$OUTSYSTEMS_HOME/outsystems.hubedition.runtimeplatformutil.jar:$OUTSYSTEMS_HOME/outsystems.hubedition.runtimecommon.jar:$OUTSYSTEMS_HOME/outsystems.hubedition.runtimeplatform.jar:$OUTSYSTEMS_HOME/outsystems.hubedition.servercommon.jar:$OUTSYSTEMS_HOME/compilerservice.jar"

for stubPath in $OUTSYSTEMS_HOME/*stubs*.jar
do
        export CLASSPATH="${stubPath}:$CLASSPATH"
done

# call rmi registry
PORT=2033
echo Calling rmi registry on port $PORT
runService "RMI"
