#!/bin/bash

source $(dirname $0)/common.sh
checkIsRoot "scinstall must be run as root"

cd $OUTSYSTEMS_HOME

CLASSPATH="$COMMON_CLASSPATH:$OUTSYSTEMS_HOME/scinstaller.jar:$OUTSYSTEMS_HOME/outsystems.nosomlprocessor.jar:$OUTSYSTEMS_HOME/compilerservicestubs.jar:$OUTSYSTEMS_HOME/deployservicestubs.jar"
JAVA_OPTS="-Xmx1024m"

CUSTOM_SH="/etc/outsystems/scinstall.conf"
if [ -r $CUSTOM_SH ]
then
    . $CUSTOM_SH
fi

sudo -E -u outsystems LANG=en_US.UTF-8 $JAVA_HOME/bin/java -classpath $CLASSPATH $JAVA_OPTS -Djava.security.policy=/etc/outsystems/scinstaller.policy -Dlog4j.configuration="file:/etc/outsystems/scinstall.properties" outsystems.hubedition.scinstaller.JavaServiceCenterInstaller -file ServiceCenter.oml -extension JavaOMLProcessor.xif JavaIntegrationStudio.xif "$@"
